Site & phpMyAdmin errors

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Site & phpMyAdmin errors

Postby TG2021 » 02. February 2021 17:31

Hi,

Started new job. Previous job I had set up XAMMP/tweaked settings and got it working great. But - only have set it up once prior to trying again this week.

1 - XAMMP installed and seems to run fine.
2 - I set ports to 8081 and (SSL) 8090
3 - Info:
PHP 7.3.26
Mysqli 5.7.23-23
XAMMP 3.2.4
Windows 10 Pro
C:\xampp

4 - Downloaded site files + DB
5 - site files here: https://localhost:8090/test/
6 - Imported DB

7 - When I try to access the site I get this error message:
--------------------------------------------------------------------------
This site can’t provide a secure connection localhost sent an invalid response.
Try running Windows Network Diagnostics.
ERR_SSL_PROTOCOL_ERROR
--------------------------------------------------------------------------

8 - So I opened up phpMyAdmin - and saw this error when I scrolled down to phpMyAdmin:
-------------------------------------------------------------------------
SELECT MAX(version) FROM `phpmyadmin`.`pma__tracking` WHERE `db_name` = 'phpmyadmin' AND `table_name` = 'pma__bookmark'
-------------------------------------------------------------------------

9 - I deleted the DB and tried to re-import, but got an error.

Because I am a relative novice, I'm not really sure WHERE to proceed here.

If anyone can give me some tips on next steps, I would appreciate it.

Thank you!
TG2021
 
Posts: 4
Joined: 01. February 2021 23:22
XAMPP version: 3.2.4
Operating System: Windows

Re: Site & phpMyAdmin errors

Postby TG2021 » 03. February 2021 20:31

Question:

I thought, from reading tutorials, I had to create a new database, and import my sql file INTO that new database?

Isn't that the common practice?

What is happening is this:
1 - I create a new database
2 - I go to "Import", browse to the sql file, click it and select "GO"
3 - The database is successfully imported but:
A) it imports as it's OWN database ignoring the DB I created
B) it contains ALL the DB information from the wordpress install - which I did not think it was supposed to do that. I thought I was always supposed to import the information into a fresh database?

4 - I then go to the options file in the DB and enter "http://localhost:8081/test/" in both the site URL and HOME url and get "Error Establishing Database"

Could someone give me something else to try, or ask questions to help me narrow down what is happening.

Thank you.
TG2021
 
Posts: 4
Joined: 01. February 2021 23:22
XAMPP version: 3.2.4
Operating System: Windows

Re: Site & phpMyAdmin errors

Postby Altrea » 04. February 2021 00:11

TG2021 wrote:I thought, from reading tutorials, I had to create a new database, and import my sql file INTO that new database?

Isn't that the common practice?

What is happening is this:
1 - I create a new database
2 - I go to "Import", browse to the sql file, click it and select "GO"
3 - The database is successfully imported but:
A) it imports as it's OWN database ignoring the DB I created
B) it contains ALL the DB information from the wordpress install - which I did not think it was supposed to do that. I thought I was always supposed to import the information into a fresh database?

It all depends on the contents of the dump. A Database dump can contain any sql statement, it can create databases, database tables or just the data into a table, or a combination of them. And much more like Indexes, Views, stored procedures, user permissions, etc.
The most common type of dump contains datbase tables and probably data rows, so this will be the most hits you find googling.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 10727
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Site & phpMyAdmin errors

Postby TG2021 » 04. February 2021 23:42

Two sites - same error message (but different plugins).

Both sites updated to latest wordpress version. Bothive me plugin errors - but different sites, different plugins.

Sample Error:
Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in C:\xampp\htdocs\abc\wp-content\plugins\gravityforms\common.php on line 1275

Could this be a PHP version incompatibility between XAMMP and my site's PHP versions?

Sites PHP versions - 7.3.26
XAMMPs PHP version - 8.0.1

Thanks.
TG2021
 
Posts: 4
Joined: 01. February 2021 23:22
XAMPP version: 3.2.4
Operating System: Windows

Re: Site & phpMyAdmin errors

Postby Altrea » 05. February 2021 01:56

Probably. It is in your responsibility to check the compatibility of your webapplications, plugins, templates, etc. XAMPP cannot do this for you.
But generally speaking: PHP 8 is fairly new and many scripts still do not support this yet.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 10727
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Site & phpMyAdmin errors

Postby TG2021 » 05. February 2021 15:32

Excelsior! It worked. Still getting that error - but possibly a wp/php version error that is causing them. I need to update php version to atleast 7.4.

Yes - I understood your comment. I have to refamiliarize myself with XAMMP - and it will slowly come back to me. Dumb but innocent mistake on my part installing a XAMMP version that does not match my WP PHP version.
TG2021
 
Posts: 4
Joined: 01. February 2021 23:22
XAMPP version: 3.2.4
Operating System: Windows


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 101 guests